﻿//------------------------------------------------------------------------------
/// @file
/// @author   ハル研究所プログラミングコンテスト実行委員会
///
/// @copyright  Copyright (c) 2019 HAL Laboratory, Inc.
/// @attention  このファイルの利用は、同梱のREADMEにある
///             利用条件に従ってください。
//------------------------------------------------------------------------------

#pragma once

//------------------------------------------------------------------------------
/// 配列の要素数を取得する。
/// @attention コンパイル時に確定する配列にのみ使用することができます。
/// @note 本プロコンでは、Random クラスと RandomSeed クラスの実装以外では
///       uint 型を使用しないので、便宜上 int に変換して返します。
/// @param aArray 静的配列。
/// @return 静的配列の要素数。
#define HPC_ARRAY_NUM(aArray) (static_cast<int>(sizeof(aArray) / sizeof(aArray[0])))

// EOF
