﻿//------------------------------------------------------------------------------
/// @file
/// @author   ハル研究所プログラミングコンテスト実行委員会
///
/// @copyright  Copyright (c) 2019 HAL Laboratory, Inc.
/// @attention  このファイルの利用は、同梱のREADMEにある
///             利用条件に従ってください。
//------------------------------------------------------------------------------

#pragma once
#include "Food.hpp"

//------------------------------------------------------------------------------
namespace hpc {

//------------------------------------------------------------------------------
Food::Food()
: mPosition()
, mHeight()
, mIsEaten()
{
}

//------------------------------------------------------------------------------
Food::Food(Point aPos, int aHeight)
: mPosition(aPos)
, mHeight(aHeight)
, mIsEaten()
{
}

//------------------------------------------------------------------------------
const Point& Food::pos() const
{
    return mPosition;
}

//------------------------------------------------------------------------------
int Food::height() const
{
    return mHeight;
}

//------------------------------------------------------------------------------
bool Food::isEaten() const
{
    return mIsEaten;
}

//------------------------------------------------------------------------------
void Food::setIsEaten(bool isEaten)
{
    mIsEaten = isEaten;
}

} // namespace
// EOF
